/*!
 * @file CreatureTemplate.cpp
 * @brief CreatureTempleteクラスとその他付随要素の定義
 * @date 2013/12/11
 * @author Deskull
 * 2013 Sikabane Works.
 */

#include "stdafx.h"
#include "Creature.h"
#include "CreatureTemplate.h"

CreatureTemplate::CreatureTemplate(ID id, TAG tag, GameWorld *gameWorld) : GameElement(id, tag, gameWorld)
{
	CreatureTemplate();
	return;
}

CreatureTemplate::CreatureTemplate(void)
{
	statusPlus.Set(0, 0, 0, 0, 0, 0);
	return;
}

CreatureTemplate::~CreatureTemplate(void)
{
	return;
}

const BaseStatusTable* CreatureTemplate::GetStatusAdj(void)
{
	return &(this->statusPlus);
}
